// Code generated by go-swagger; DO NOT EDIT.

package dashboard

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the generate command

import (
	"net/http"

	"github.com/go-openapi/runtime/middleware"
)

// DashboardGetHandlerFunc turns a function with the right signature into a dashboard get handler
type DashboardGetHandlerFunc func(DashboardGetParams) middleware.Responder

// Handle executing the request and returning a response
func (fn DashboardGetHandlerFunc) Handle(params DashboardGetParams) middleware.Responder {
	return fn(params)
}

// DashboardGetHandler interface for that can handle valid dashboard get params
type DashboardGetHandler interface {
	Handle(DashboardGetParams) middleware.Responder
}

// NewDashboardGet creates a new http.Handler for the dashboard get operation
func NewDashboardGet(ctx *middleware.Context, handler DashboardGetHandler) *DashboardGet {
	return &DashboardGet{Context: ctx, Handler: handler}
}

/*DashboardGet swagger:route GET /api/dashboard Dashboard dashboardGet

Get dashboard info

*/
type DashboardGet struct {
	Context *middleware.Context
	Handler DashboardGetHandler
}

func (o *DashboardGet) ServeHTTP(rw http.ResponseWriter, r *http.Request) {
	route, rCtx, _ := o.Context.RouteInfo(r)
	if rCtx != nil {
		r = rCtx
	}
	var Params = NewDashboardGetParams()

	if err := o.Context.BindValidRequest(r, route, &Params); err != nil { // bind params
		o.Context.Respond(rw, r, route.Produces, route, err)
		return
	}

	res := o.Handler.Handle(Params) // actually handle the request

	o.Context.Respond(rw, r, route.Produces, route, res)

}
